package sim.app.ubik.people;

import sim.app.ubik.Ubik;
import sim.app.ubik.states.talkingAgentsSpectatorStates.AutomatonTalkingAgentsSpectator;
import sim.engine.SimState;
import ubik3d.model.HomePieceOfFurniture;

public class TalkingAgentsSpectator extends Person {

	private static final long serialVersionUID = -5765300246000748050L;

	public TalkingAgentsSpectator(int floor, HomePieceOfFurniture person3dModel, Ubik ubik) {
		super(floor, person3dModel, ubik);
	}

	@Override
	void considerToChangingBehavior(SimState arg0) {
	}

	@Override
	public void step(SimState state) {
		super.step(state);
		if (automaton == null)
			automaton = new AutomatonTalkingAgentsSpectator(this);
		automaton.nextState(state);
	}

}
